[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: my ldap hangup every time I used slapcat

Magnus Morén wrote:
Howard Chu wrote:

That bug (ITS#3764) was fixed in June 2005, releases 2.2.27 and 2.3.4. You're obviously running something too old.

I'm starting to realize that I run an old openldap release after watching this mail-list for some time.

Here at the university we are using RHEL4 as the main linux server OS
and the version included in that OS is: 2.2.13    :-(

someserver# rpm -q openldap-servers

When we started to use the LDAP-servers some time a go we choose to
stick with this release to be able to use the RHN (updates and patches)
services as we do on several other machines.

We have had several occasions of both locked and corrupted databases
over time. This may (or may not) be related to the old version.


1) Anyone knows why it is that RedHat sticks to and old version of
OpenLDAP if there are known bugs in it. They usually do a great job with
most of their other software.

That's a question that's best directed at RedHat.
2) If I want to run a more up-to-date version. Any suggestions?
- build from source or
- http://anorien.warwick.ac.uk/mirrors/buchan/rhel4/openldap/ or
- other recommended rpm repository
Personally, I think the CDS rpm's at www.symas.com are pretty good.  ;)

 -- Howard Chu
 Chief Architect, Symas Corp.  http://www.symas.com
 Director, Highland Sun        http://highlandsun.com/hyc
 OpenLDAP Core Team            http://www.openldap.org/project/